Bug 763136 - (GLUSTER-1404) need a dump of all the op/mgmt commands
need a dump of all the op/mgmt commands
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
All Linux
low Severity high
: ---
: ---
Assigned To: shishir gowda
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-19 09:00 EDT by Amar Tumballi
Modified: 2015-12-01 11:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2010-08-19 09:00:54 EDT
any command which alters the state of the glusterd (create volume, deleting volume, etc), should be dumped in a file, and admin (gluster support) should be able to see it later. This file should be hidden from user
Comment 1 Vijay Bellur 2010-08-31 07:44:01 EDT
PATCH: http://patches.gluster.com/patch/4411 in master (Add command logging facility for glusterd)
Comment 2 Vijay Bellur 2010-08-31 07:44:04 EDT
PATCH: http://patches.gluster.com/patch/4412 in master (Log all commands from glusterd)
Comment 3 Lakshmipathi G 2010-09-07 01:08:13 EDT
.cmd_log_history logs required info, verified with 3.1.0qa16
Comment 4 Anand Avati 2011-02-22 08:45:54 EST
PATCH: http://patches.gluster.com/patch/6225 in master (log the total replace brick command received)

Note You need to log in before you can comment on or make changes to this bug.